﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width" />
    <title>WebNotesView</title>
    <base href="/" />
    <!--<link rel="stylesheet" href="css/demo.css">-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <!--<link rel="stylesheet" href="css/my.css" type="text/css" />-->
    <link rel="stylesheet" href="css/MyFlex.min.css" type="text/css"/>
</head>
<body>
    <app>
        <div class="loader-box">
            <img src="animated-icon.svg" width="97" height="88" />
            <br /><br />
            <p id="loadingText">Loading...</p>
            <br />
            <progress id="pbar"></progress>
        </div>
    </app>

    <!-- Start Single Page Apps for GitHub/GitLab Pages -->
<script type="text/javascript">

    (function () {
        /*
         * Loader/splash screen
         * */
        if (!window.XMLHttpRequest) {
            return;
        }
        var loading = {};
        var files = [];
        var total = 0;
        var loaded = 0;
        var proxied = window.XMLHttpRequest.prototype.open;
        window.XMLHttpRequest.prototype.open = function () {
            var file = arguments[1];
            files.push(file);
            total++;
            loading[file] = 1;
            this.addEventListener("load", function () {
                delete (loading[file]);
                loaded++;
                var progress = Math.floor(((loaded / total) * 100));
                document.getElementById("pbar").max = total;
                document.getElementById("pbar").value = loaded;
                document.getElementById("loadingText").innerHTML = "Loaded " + file + ", " + progress + " %..."
                if (loaded == total) {
                    // Reset override.
                    window.XMLHttpRequest.prototype.open = proxied;
                    document.getElementById("loadingText").innerHTML = "Loading 100%, opening application...";
                }
            });
            return proxied.apply(this, [].slice.call(arguments));
        };
    })();

    // Single Page Apps for GitHub/GitLab Pages
    // https://github.com/rafrex/spa-github-pages
    // Copyright (c) 2016 Rafael Pedicini, licensed under the MIT License
    // ----------------------------------------------------------------------
    // This script checks to see if a redirect is present in the query string
    // and converts it back into the correct url and adds it to the
    // browser's history using window.history.replaceState(...),
    // which won't cause the browser to attempt to load the new url.
    // When the single page app is loaded further down in this file,
    // the correct url will be waiting in the browser's history for
    // the single page app to route accordingly.
    (function (l) {
        if (l.search) {
            var q = {};
            l.search.slice(1).split('&').forEach(function (v) {
                var a = v.split('=');
                q[a[0]] = a.slice(1).join('=').replace(/~and~/g, '&');
            });
            if (q.p !== undefined) {
                window.history.replaceState(null, null,
                    l.pathname.slice(0, -1) + (q.p || '') +
                    (q.q ? ('?' + q.q) : '') +
                    l.hash
                );
            }
        }
    }(window.location))
</script>
    <!-- End Single Page Apps for GitHub/GitLab Pages -->

    <script src="_framework/blazor.webassembly.js"></script>
    <script async defer src="https://buttons.github.io/buttons.js"></script>
</body>
</html>
